SXACL-USERMOD(1)

NAME
sxacl-usermod - change user settings

SYNOPSIS
sxacl usermod [OPTIONS] <username> sx://[profile@]cluster

DESCRIPTION
sxacl usermod is used to modify settings of existing users. Only cluster administrators can perform such changes.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-q, --quota=SIZE
    Set total quota for all volumes owned by this user (allows K,M,G,T suffixes). The user will not be able to store more data than this limit across all of the volumes it owns.

-d, --description=STRING
    Set or change the optional description of the user.

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-D, --debug
    Enable debug messages.

EXAMPLES
To set the quota of user user 'joe' to 2GB run the following command:
sxacl usermod --quota=2G joe sx://admin@cluster

SEE ALSO
sxacl-useradd(1), sxacl-usernewkey(1), sxacl-usergetkey(1), sxacl-userlist(1), sxacl-userdel(1), sxinit(1)